Subject: bug#49289: 28.0.50; auth-source-search may return doubly obfuscated :secret value

From: Michael Albinus <[email-masked]>
Date: Tue, 18 Jun 2024 17:00:57 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Kazuhiro Ito <[email-masked]> writes:
>
>> I don't know whether auth-source supports multiple accounts on the
>> same host and whether it is a feature that auth-source-search tend to
>> return other user's password.  But I think doubly obfuscated :secret
>> value is obviously a bug.
>
> I think both things are bugs, and the second happens because of the
> first bug.  I've now pushed a fix for this to Emacs 28.

FTR, I've pushed a similar fix to the secrets and plstore backends. Will
be visible with Emacs 30.

Best regards, Michael.